## kiwi-1.9.13.tar.gz

=== doc/Makefile ===
# Tweak these to your local configuration. Note that mkhowto requires
# LaTeX and latex2html.

MKHOWTO=/mondo/src/PYTHON/2.4.1/Doc/tools/mkhowto

# No user-serviceable parts below this line

STYLE="PRE { border-left: 1px dashed blue;		\
		  border-right: 1px dashed blue;		\
		  border-top: 1px dashed blue;			\
		  border-bottom: 1px dashed blue;		\
		  padding: 1em; margin-right: 2.5em;	\
		  margin-left: 2.5em; }"
NAME=Kiwi
URL=http://www.async.com.br/projects/kiwi/
FIXIMG=perl -p -i -e 's/WIDTH=\"[0-9]+\" HEIGHT=\"[0-9]+\"//'

all: api howto

howto: howto.tex
	@echo Creating howto
	@mkdir -p howto
	@$(MKHOWTO) -k --image-type png --a4 
	@echo $(STYLE) >> howto/howto.css
	@latex howto
	@latex howto
	@dvips howto
	@$(FIXIMG) howto/*.html
	@echo Copying examples and images
	@cp images/diary.png     howto/img1.png
	@cp images/simple.png    howto/img2.png
	@cp images/london.png    howto/img3.png
	@cp images/london2.png   howto/img4.png
	@cp images/shell1.png    howto/img5.png
	@cp images/shell2.png    howto/img6.png
	@cp images/faren.png     howto/img7.png
	@cp images/simple2.png   howto/img8.png
	@cp images/simple3.png   howto/img9.png
	@cp images/news2.png     howto/img10.png
	@cp images/news3.png     howto/img11.png
# 	@cp images/newsform.png  howto/img12.png
# 	@cp images/newsform2.png howto/img13.png
# 	@cp images/newsform4.png howto/img14.png
	@cp ../examples/framework/person/Person.glade howto/
	@cp ../examples/framework/faren/faren.glade howto/

api:
	@echo Creating API documentation
	@cd .. && tools/epyrun
	@mv ../html api

apicheck: 
	cd .. && tools/epyrun --check

clean:
	rm -rf api/ howto/ *.log *.aux *.l2h *.dvi *.ps *.bak *~

.PHONY: apicheck clean

=== debian/changelog ===
kiwi (1.9.13-2) dapper; urgency=low

  * New release.

 -- Johan Dahlin <jdahlin@async.com.br>  Thu,  1 Feb 2007 15:19:13 -0200

kiwi (1.9.12-1) dapper; urgency=low

  * New release.

 -- Johan Dahlin <jdahlin@async.com.br>  Mon, 29 Jan 2007 16:40:12 -0200

kiwi (1.9.11-2) dapper; urgency=low

  * Replaces: python-kiwi for debian compatibility

 -- Johan Dahlin <jdahlin@async.com.br>  Wed, 11 Oct 2006 12:06:02 -0300

kiwi (1.9.11-1) dapper; urgency=low

  * New upstream release:
  * Fix doc package conflict

 -- Johan Dahlin <jdahlin@async.com.br>  Mon,  9 Oct 2006 15:00:52 -0300

kiwi (1.9.10-1) dapper; urgency=low

  * New release, docs in a separate package

 -- Johan Dahlin <jdahlin@async.com.br>  Mon, 18 Sep 2006 10:52:19 -0300

kiwi (1.9.9-2) dapper; urgency=low

  * Update dependencies

 -- Johan Dahlin <jdahlin@async.com.br>  Mon, 28 Aug 2006 12:22:36 -0300

kiwi (1.9.9-1) dapper; urgency=low

   * New upstream release.

 -- Johan Dahlin <jdahlin@async.com.br>  Fri, 25 Aug 2006 16:43:01 -0300

kiwi (1.9.8-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * debian/kiwi.install:
    - updated.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 25 Apr 2006 22:16:02 +0200

kiwi (1.9.3-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - UI Test framework
    - Add a hyperlink widget (Ali Afshar)
    - Add a selectable box
    - Currency datatype
    - Simple dialogs
    - Logging helpers
    - Validation improvements
    - Documentation improvemnets

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 15 Dec 2005 23:06:04 +0100

kiwi (1.9.2-0ubuntu1) dapper; urgency=low

  * Initial release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 01 Dec 2005 17:55:17 +0100

=== debian/control ===
Source: kiwi
Section: python
Priority: optional
Maintainer: Daniel Holbach <daniel.holbach@ubuntu.com>
Build-Depends: debhelper (>= 4.2.28)
Build-Depends-Indep: cdbs, python-dev (>= 2.4), python-gtk2-dev (>= 2.8)
Standards-Version: 3.6.2

Package: kiwi
Architecture: all
Depends: ${shlibs:Depends}, python-gobject (>= 2.8), python-gtk2 (>= 2.8)
Suggests: glade | gazpacho, kiwi-examples
Replaces: python-kiwi
Description: Framework for developing graphical applications in Python
 Kiwi is a framework composed of a set of modules, which eases Python
 development using PyGTK. Kiwi makes graphical applications *much* faster
 to code, with good architecture and more Python-like bindings; it also
 offers extended widgets based upon the original PyGTK widgets.
 .
 Homepage: http://www.async.com.br/projects/kiwi/


Package: kiwi-examples
Architecture: all
Recommends: kiwi
Description: Framework for developing graphical applications in Python (examples)
 Kiwi is a framework composed of a set of modules, which eases Python
 development using PyGTK. Kiwi makes graphical applications *much* faster
 to code, with good architecture and more Python-like bindings; it also
 offers extended widgets based upon the original PyGTK widgets.
 .
 This package installs some examples to
 /usr/share/doc/kiwi-examples/
 .
 Homepage: http://www.async.com.br/projects/kiwi/


Package: kiwi-doc
Architecture: all
Recommends: kiwi
Description: Framework for developing graphical applications in Python (examples)
 Kiwi is a framework composed of a set of modules, which eases Python
 development using PyGTK. Kiwi makes graphical applications *much* faster
 to code, with good architecture and more Python-like bindings; it also
 offers extended widgets based upon the original PyGTK widgets.
 .
 This package installs documentation
 /usr/share/doc/kiwi-docs/
 .
 Homepage: http://www.async.com.br/projects/kiwi/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

clean::
	find . -name '*.pyc' | xargs rm -f

binary-install::
	dh_python
	chmod ugo+x debian/tmp/usr/lib/python2.4/site-packages/site-packages/kiwi/i18n/msgfmt.py
